Package org.apache.commons.lang3.function

## Interface FailableIntBinaryOperator<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableIntBinaryOperator<E extends java.lang.Throwable>

A functional interface like `IntBinaryOperator` that declares a `Throwable`.

Since:
  3.11

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `applyAsInt​(int left, int right)` Applies this operator to the given operands.

### Method Detail

#### applyAsInt

    int applyAsInt​(int left,
                   int right)
            throws E extends java.lang.Throwable

Applies this operator to the given operands.

Parameters:
  `left` - the first operand
  `right` - the second operand
Returns:
  the operator result
Throws:
  `E` - if the operation fails
  `E extends java.lang.Throwable`